Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class LOKI91KeyGenerator

    java.lang.Object
      |
      +--xjava.security.KeyGenerator
            |
            +--cryptix.provider.key.RawKeyGenerator
                  |
                  +--cryptix.provider.key.LOKI91KeyGenerator

public class LOKI91KeyGenerator
extends RawKeyGenerator

A key generator for LOKI91.

LOKI91 keys have a fixed length of 64 bits.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.2 $

Since:
  Cryptix 2.2.0a, 2.2.2
Author:
  Raif S. Naffah, David Hopwood

Constructor Summary
`LOKI91KeyGenerator()`

Method Summary
`boolean` | `isWeak(byte[] key)` Returns true iff the byte array key represents a weak or semi-weak LOKI91 key.

Methods inherited from class cryptix.provider.key.RawKeyGenerator
`engineGenerateKey, generateKey, generateKey, getDefaultKeyLength, getMaximumKeyLength, getMinimumKeyLength, initialize, initialize, isValidKeyLength, isWeakAllowed, setWeakAllowed`

Methods inherited from class xjava.security.KeyGenerator
`clone, engineGetParameter, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getInstance, getInstance, getParameter, setParameter, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LOKI91KeyGenerator

    public LOKI91KeyGenerator()

Method Detail

### isWeak

    public boolean isWeak(byte[] key)

  Returns true iff the byte array key represents a weak or semi-weak LOKI91 key.

  LOKI91 has four weak keys and twelve semi-weak keys. Here are the lists of these keys (values given in hexadecimal form):

  Weak Keys:

  - 00000000 00000000
  - FFFFFFFF FFFFFFFF
  - 55555555 AAAAAAAA
  - AAAAAAAA 55555555
  Semi-Weak Keys:
  - 00000000 55555555
  - AAAAAAAA 00000000
  - 00000000 AAAAAAAA
  - 55555555 00000000
  - 00000000 FFFFFFFF
  - FFFFFFFF 00000000
  - 55555555 55555555
  - AAAAAAAA AAAAAAAA
  - 55555555 FFFFFFFF
  - FFFFFFFF AAAAAAAA
  - AAAAAAAA FFFFFFFF
  - FFFFFFFF 55555555
  Overrides:
    isWeak in class RawKeyGenerator
  Parameters:
    `key` - the byte array containing user key data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.